package com.ruoyi.hezhi.service;

import com.ruoyi.hezhi.domain.TbTrends;
import com.ruoyi.hezhi.domain.vo.TrendsVO;

import java.util.List;

/**
 * 院内动态Service接口
 *
 * @author ruoyi
 * @date 2024-09-14
 */
public interface ITbTrendsService
{
    /**
     * 查询院内动态
     *
     * @param trendsId 院内动态主键
     * @return 院内动态
     */
    public TbTrends selectTbTrendsByTrendsId(Long trendsId);

    /**
     * 查询院内动态列表
     *
     * @param tbTrends 院内动态
     * @return 院内动态集合
     */
    public List<TbTrends> selectTbTrendsList(TbTrends tbTrends);

    /**
     * 新增院内动态
     *
     * @param tbTrends 院内动态
     * @return 结果
     */
    public int insertTbTrends(TbTrends tbTrends);

    /**
     * 修改院内动态
     *
     * @param tbTrends 院内动态
     * @return 结果
     */
    public int updateTbTrends(TbTrends tbTrends);

    /**
     * 批量删除院内动态
     *
     * @param trendsIds 需要删除的院内动态主键集合
     * @return 结果
     */
    public int deleteTbTrendsByTrendsIds(Long[] trendsIds);

    /**
     * 删除院内动态信息
     *
     * @param trendsId 院内动态主键
     * @return 结果
     */
    public int deleteTbTrendsByTrendsId(Long trendsId);

    /**
     * 获取动态list
     * @return
     */
    public List<TrendsVO> getTrendsVoList();

    /**
     * 获取详情
     * @param id
     * @return
     */
    public TrendsVO getDetail(Long id);
}
